Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 592057 - USB Multi-Card reader only sees last slot
USB Multi-Card reader only sees last slot
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-13 14:49 EDT by Jacob Travis Devore
Modified: 2011-02-17 11:17 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-17 11:17:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
requested logs (32.42 KB, application/x-zip-compressed)
2010-05-17 13:11 EDT, Jacob Travis Devore
no flags Details

  None (edit)
Description Jacob Travis Devore 2010-05-13 14:49:59 EDT
Description of problem:
I have a multi-card reader with xd, sd/mmc, ms/mspro and cf/md on it.  I know that the first mounted device is the ms/mspro slot and the last slot to mount is the sd/mmc slot.

sd/mmc = last slot, shown as sde
ms/mspro = first slot, shown as sdb
I can boot from both the first and last slot.
I can start the install process from the last slot and get past the screen to tell the installer where the install.img is.
I can get to the screen that wants the device and directory where it can find the install.img file on the first slot but it doesn't show sdb so I can proceed to install.

Version-Release number of selected component (if applicable):
f13 rc2

How reproducible:
100%

Steps to Reproduce:
1.Get a usb multi-card reader.  Find out which slot mounts first and put a card in there.
2.Start the install process and get to the screen where you tell the installer where install.img is.
  
Actual results:
Installer doesn't show the mounted card.

Expected results:
Installer shows the mounted card and proceed with install.

Additional info:
Comment 1 Chris Lumens 2010-05-13 22:30:55 EDT
Can you please attach /tmp/syslog, /tmp/anaconda.log, and /tmp/storage.log to this bug report?
Comment 2 Jacob Travis Devore 2010-05-14 04:35:49 EDT
Sorry if I sound stupid, how exactly do I get a prompt to copy these files?
Comment 3 Hans de Goede 2010-05-14 04:50:00 EDT
(In reply to comment #2)
> Sorry if I sound stupid, how exactly do I get a prompt to copy these files?    

You can switch to tty2 where you will get a text console with a prompt by pressing ctrl + alt + F2. From there you can use for example scp to copy the files of the system.
Comment 4 Jacob Travis Devore 2010-05-14 04:58:44 EDT
So on all the consoles I tried, f1 - f12, I have no prompt.  f3 looks like the anaconda log and f4 looks like some system log, lots of kernel and net man messages.  I can only type on f3 and f4, but it looks like they are just tailing the logs.
Comment 5 Hans de Goede 2010-05-14 06:13:41 EDT
(In reply to comment #4)
> So on all the consoles I tried, f1 - f12, I have no prompt.  f3 looks like the
> anaconda log and f4 looks like some system log, lots of kernel and net man
> messages.  I can only type on f3 and f4, but it looks like they are just
> tailing the logs.    

Ah, my bad, you are unable to mount install.img, so you never get to the point
in the install process where there is a shell, sorry.

Can you please boot F-13  in some other way, either into the installer to a point where you do have a shell, or an installed system. And then do:
dmesg > dmesg
for i in /sys/block/*; do
    echo $i >> log
    cat $i/capability >> log
done

And attach the resulting dmesg and log files here? Thanks.
Comment 6 Jacob Travis Devore 2010-05-16 20:36:27 EDT
Well, I have a 256Mb flash drive, but it's not big enough to fit the netinstall on.  So I'm kind of stuck to the muticard reader.  Would having the sd and ms pro inserted into the card reader work?  If I do this should I boot from the ms pro or the sd card, I'll have to use the sd card as the install source since the ms pro slot isn't visible.  Let me know and I can try it out.

Thanks,

Jake
Comment 7 Hans de Goede 2010-05-17 03:27:23 EDT
(In reply to comment #6)
> Well, I have a 256Mb flash drive, but it's not big enough to fit the netinstall
> on.  So I'm kind of stuck to the muticard reader.  Would having the sd and ms
> pro inserted into the card reader work?  If I do this should I boot from the ms
> pro or the sd card, I'll have to use the sd card as the install source since
> the ms pro slot isn't visible.  Let me know and I can try it out.
> 

Hi, having the initrd and vmlinuz on another drive then install.img should work yes.

I hope you can boot into the installer and collect the required information this way, then we can hopefully resolve this.

Regards,

Hans
Comment 8 Jacob Travis Devore 2010-05-17 13:11:05 EDT
Created attachment 414611 [details]
requested logs

So I booted from the ms pro card(sdb) and used the sd card(sde) as the install source.  I booted to the point of normal install failure, bug 590391, and then jumped to another prompt and copied the files.  Let me know if you need any else.
Comment 9 Hans de Goede 2010-05-18 04:24:42 EDT
Hi,

Ok so your syslog shows that the kernel thinks there is no card present in the slot corresponding to /dev/sdb, so this clearly is a kernel issue.

With that said I would still like to try and fix this as I've some experience in fixing issues with usb mass storage devices too.

I have 3 theories:
1) The kernel never sees a card (or at least this card) as being present
   in slot sdb
2) A change event needs to be generated after the usb storage driver has
   loaded
3) Booting from the card does something to the reader (IOW the BIOS does
   something to the reader) which causes the kernel to not see the card

So can you please try:
a) To remove the card in sdb, and insert it again then wait a few seconds and do dmesg > dmesg and attach the resulting dmesg file here (either in the installer environment on tty2, or with an installed system

b) Assuming you want to install F-13, install it using the 2 card workaround, then powerdown the machine boot it into F-13 with both cards present (so boot from the SSD) and then again do dmesg > dmesg and attach the resulting dmesg

Thanks,

Hans
Comment 10 Hans de Goede 2011-02-17 11:17:43 EST
Closing this due to lack of response from the reporter.

Note You need to log in before you can comment on or make changes to this bug.